groups:
- name: redis-replication-status.rules
  rules:
  - alert: RedisReplicationDown
    expr: gitlab:redis_disconnected_slaves > 1
    for: 5m
    labels:
      pager: pagerduty
      severity: critical
    annotations:
      description: Redis not replicating for all slaves for more than 5 minutes! Consider
        reviewing the redis replication status
      runbook: troubleshooting/redis_replication.md
      title: Redis replication not working for {{ $value }} slaves. Master is {{ range
        query "gitlab:redis_master" }}{{ .Labels.fqdn }}{{ end }}.
